/* リセットCSS */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
li{
    list-style: none;
}
img{
    border: none;
    display: block;
    max-width: 100%;
    height: auto;
}
a{
    text-decoration: none;
}


body{
    font-family: "Montserrat",sans-serif;
    line-height: 1.8;
    color: #222;
    background: #fff;
    padding-top: 80px;
}
section{
    padding: 80px 0;
}
.works_inner,
.about_inner,
.contact_inner{
    width: min(1100px,90%);
    margin: 0 auto;
}
/* header */
.header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1200;
    background: #fff;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.06);
}
.header_inner{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 24px 30px;
}
.header_nav{
    margin-left: auto;
}
.header_logo{
    font-size: 20px;
    font-weight: 600;
    letter-spacing: 0.05em;
    color: #222;
    position: relative;
}
.header_logo::after{
    content: "";
    position: absolute;
    left: 0;
    bottom: -4px;
    width: 0;
    height: 1px;
    background: #222;
    transition: 0.3s;
}
.header_logo:hover::after{
    width: 100%;
}
.header_navList{
    display: flex;
    gap: 48px;
}
.header_navLink{
    font-size: 16px;
    font-weight: 500;
    color: #222;
    position: relative;
}
.header_navList,.spMenu_list{
    list-style: none;
    margin: 0;
    padding: 0;
}
/* nav hover */
.header_navLink::after{
    content: "";
    position: absolute;
    left: 0;
    bottom: -4px;
    width: 0;
    height: 1px;
    background: #222;
    transition: 0.3s;
}
.header_navLink:hover::after{
    width: 100%;
}
.header_navLink:hover{
    color: #000;
}
/* ハンバーガーメニュー非表示 */
.header_menuBtn{
    display: none;
}
.spMenu{
    display: none;
}
section{
    padding: 120px 0;
}
/* FV */

.fv{
    min-height: 100vh;
    background-image: url("../images/main-pc.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    padding: 120px 0 80px;
}

.fv_inner{
    width: 90%;
    max-width: 1100px;
    margin: 0 auto;
    text-align: left;
}
.fv_title{
    font-size: 72px;
    font-weight: 700;
    line-height: 1.1;
    letter-spacing: 0.08em;
}
.fv_sub{
    margin-top: 20px;
    font-size: 20px;
    font-weight: 400;
    opacity: 0.8;
    letter-spacing: 0.1em;
}
/* WORKS */
.works_head{
    display: flex;
    align-items: center;
    gap: 24px;
    margin-bottom: 72px;
}
.works_title{
    font-size: 32px;
    font-weight: 600;
    letter-spacing: 0.1em;
    line-height: 1;
}
.works_sub{
    font-size: 14px;
    color: #666;
    line-height: 1;
    white-space: nowrap;
}

.works_head::after{
    content: "";
    display: block;
    flex: 1;
    height: 1px;
    background-color: #666;

    transform: scaleX(0);
    transform-origin: left center;
    transition: transform 1s ease;
}
.works.is-show .works_head::after{
    transform: scaleX(1);
}
/* 作品一覧 */
.works_list{
    display: flex;
    flex-direction: column;
    gap: 96px;
}
/* １作品目 */
.work{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 48px;

    opacity: 0;
    transform: translateY(24px);
    transition: opacity 0.8s ease, transform 0.8s ease;
}
.work.is-show{
    opacity: 1;
    transform: translateY(0);
}
/* ２作品目だけ左右反転 */
.work.reverse{
    flex-direction: row-reverse;
}
/* 画像 */
.work_img{
    width: 58%;
    flex-shrink: 0;
    display: block;
    position: relative;
    overflow: hidden;
}
.work_img img{
    width: 100%;
    height: auto;
    display: block;
    transition: opacity 0.3s ease,transform 0.3s ease;
}
.work_img:hover img{
    opacity: 0.7;
    transform: scale(1.02);
}

/* テキスト */
.work_body{
    width: 42%;
    max-width: 420px;
}
.work_title{
    font-size: 28px;
    font-weight: 700;
    line-height: 1.4;
    margin-bottom:8px;
}
.work_textSub{
    font-size: 14px;
    color: #666;
    line-height: 1.7;
    margin-bottom: 20px;
}
.wok_text{
    margin-bottom: 20px;
}
.work_text p{
    font-size: 16px;
    line-height: 2;
    color: #333;
}

.work_section{
    margin-top: 18px;
}
.work_sectionTitle{
    font-size: 16px;
    font-weight: 700;
    line-height: 1.8;
    color: #222;
    margin-bottom: 6px;
}

.work_sectionText p{
    font-size: 16px;
    line-height: 2;
    color: #333;
}
.work_meta{
    margin-top: 22px;
    margin-bottom: 22px;
}
.work_meta li{
    font-size: 14px;
    line-height: 2;
    color: #333;
}


.work_link:hover::after{
    transform: scaleX(1);
}

/* バナー */
.works_category{
    display: flex;
    align-items: center;
    gap: 16px;
  font-size: 22px;
  font-weight: 800;
  margin: 88px 0 40px;
  margin-bottom: 48px;
  letter-spacing: 0.04em;
}
.works_category::after{
    content: "";
    display: block;
    flex: 1;
    height: 1px;
    background: #333;
}
.banner_grid{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 48px 40px;
}
.banner_card{
    display: flex;
    flex-direction: column;
}
.banner_cardImg{
    margin-bottom: 20px;
}
.banner_cardImg img{
    width: 100%;
    display: block;
    border: 1px solid #eee;
}
.banner_cardBody{
    text-align: left;
}
.banner_cardTitle{
    font-size: 20px;
    font-weight: 700;
    line-height: 1.5;
    margin-bottom: 6px;
    color: #222;
}
.banner_cardSub{
    font-size: 12px;
    color: #666;
    line-height: 1.6;
    margin-bottom: 12px;
}
.banner_cardText{
    font-size: 14px;
    line-height: 1.9;
    color: #333;
}


/* ABOUT */
.about{
    padding: 100px 0 120px;
}
.about_head{
    display: flex;
    align-items: center;
    gap: 24px;
    margin-bottom: 72px;
}
.about_title{
    font-size: 32px;
    font-weight: 600;
    letter-spacing: 0.1em;
    line-height: 1;
}
.about_sub{
    font-size: 12px;
    color: #666;
    line-height: 1;
    white-space: nowrap;
}
.about_head::after{
    content: "";
    display: block;
    flex: 1;
    height: 1px;
    background-color: #999;

    transform: scaleX(0);
    transform-origin: left center;
    transition: transform 1s ease;
}
.about.is-show .about_head::after{
    transform: scaleX(1);
}
.about_body{
    max-width: 600px;
}
/* 画像と本文 */
.about_content{
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 56px;
}

/* 画像 */
.about_img{
    width: 33%;
    flex-shrink: 0;
}
.about_img img{
    width: 100%;
    height: auto;
    display: block;
    border-radius: 10px;
    box-shadow: 0 14px 32px rgba(0, 0, 0, 0.6);
}
/* 右の本文 */
.about_name{
    font-size: 26px;
    font-weight: 600;
    line-height: 1.4;
    margin-bottom: 6px;
}
.about_nameSub{
    font-size: 12px;
    color: #666;
    letter-spacing: 0.1em;
    margin-bottom: 24px;
}

/* テキスト */
.about_text{
    margin-bottom: 28px;
}
.about_text p{
    font-size: 16px;
    line-height: 2.1;
    color: #333;
}

.about_list{
    display: flex;
    flex-direction: column;
    gap: 4px;
}
.about_list li{
    font-size: 14px;
    line-height: 2;
    color: #333;
}

/* CONTACT */
.contact{
    padding: 100px 0 120px;
}
.contact_head{
    display: flex;
    align-items: center;
    gap: 24px;
    margin-bottom: 72px;
}

.contact_title{
    font-size: 32px;
    font-weight: 600;
    letter-spacing: 0.1em;
}
.contact_sub{
    font-size: 12px;
    color: #666;
}
.contact_head::after{
    content: "";
    flex: 1;
    height: 1px;
    background-color: #999;
    transform: scaleX(0);
    transform-origin: left;
    transition: transform 1s ease;
}
.contact.is-show .contact_head::after{
    transform: scaleX(1);
}
/* 本文 */
.contact_body{
    text-align: center;
}
.contact_text{
    font-size: 15px;
    line-height: 2.2;
    margin-bottom: 40px;
    color: #333;
}
/* ボタン */

.contact_btn{
    display: inline-block;
    padding: 16px 40px;
    font-size: 14px;
    letter-spacing: 0.08em;
    border-radius: 30px;
    border: 1px solid rgba(0, 0, 0, 0.25);
    color: #333;
    position: relative;
    overflow: hidden;
    background: linear-gradient(
        135deg,
        rgba(255,255,255,0.95) 0%,
       rgba(255,255,255,0.88) 35%,
       rgba(187,215,245,0.45) 55%,
       rgba(213,189,240,0.45) 70%,
       rgba(251,252,224,0.45) 85%,
       rgba(134,238,183,0.45) 100%
    );
    transition: transform 0.3s ease,transform 0.3s ease;
}

.contact_btn:hover{
    transform: translateY(-3px);
    box-shadow: 0 10px 24px rgba(0, 0, 0, 0.10);
}

/* FOOTER */
.footer{
    padding: 40px 0 32px;
    border-top: 1px solid #e5e5e5;
}
.footer_copy{
    font-size: 10px;
    color: #666;
    text-align: center;
    letter-spacing: 0.08em;
}








/* メデイアクエリ：sp版 */
@media (max-width: 768px) {
    .header {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 80px; 
        background: #fff;
        z-index: 1200;
        box-shadow: 0 2px 10px rgba(0, 0, 0, 0.06);
    }
    body {
        padding-top: 80px; 
    }

    section {
        padding: 60px 0;
    }

    .works_inner,
    .about_inner,
    .contact_inner {
        width: 90%;
    }
    
    .header_inner {
        height: 100%;
        width: 100%; 
        padding: 0 30px;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .header_logo {
        font-size: 18px; 
        line-height: 1;
        margin: 0;
    }

    .header_nav {
        display: none; /* PC用ナビを隠す */
    }

    /* ハンバーガーメニューボタン */
    .header_menuBtn {
        display: block;
        width: 30px;
        height: 20px;
        position: relative;
        background: none;
        border: none;
        cursor: pointer;
        z-index: 1201; 
        flex-shrink: 0;
    }

    .header_menuLine {
        position: absolute;
        left: 0;
        width: 100%;
        height: 2px;
        background: #222;
        transition: transform 0.3s ease, opacity 0.3s ease, top 0.3s ease, bottom 0.3s ease;;
    }

    .header_menuLine:nth-child(1) { 
        top: 0;
     }
    .header_menuLine:nth-child(2) { 
        top: 9px;
     }
    .header_menuLine:nth-child(3) {
         bottom: 0;
         }

    /* 開閉時のアニメーション */
    .header_menuBtn.is-open .header_menuLine:nth-child(1) {
        top: 9px;
        transform: rotate(45deg);
    }
    .header_menuBtn.is-open .header_menuLine:nth-child(2) {
        opacity: 0;
    }
    .header_menuBtn.is-open .header_menuLine:nth-child(3) {
        bottom: 9px;
        transform: rotate(-45deg);
    }

    /* SPメニューパネル */
    .spMenu {
        display: block; 
        position: fixed;
        inset: 0;
        z-index: 1100;
        pointer-events: none;
        visibility: hidden; /* 通常時は隠す */
    }

    .spMenu.is-open {
        pointer-events: auto;
        visibility: visible;
    }

    .spMenu_bg {
        position: absolute;
        inset: 0;
        background: rgba(0, 0, 0, 0.4); /* 背景を少し暗くして分かりやすく */
        opacity: 0;
        transition: opacity 0.3s ease;
    }

    .spMenu.is-open .spMenu_bg {
        opacity: 1;
    }
/* パネル全体 */
    .spMenu_panel {
        position: absolute;
        top: 0;
        right: 0;
        width: 90%;
        max-width: 320px;
        height: 100vh;
        background: #dfeaf7;
        transform: translateX(100%);
        transition: transform 0.3s ease;
        padding: 130px 32px 40px;
    }

    .spMenu.is-open .spMenu_panel {
        transform: translateX(0);
    }
    .spMenu_close{
        display: none;
    }
    .spMenu_closeLine{
        display: none;
    }

    .spMenu_nav{
        text-align: left;
    }

    .spMenu_list {
        display: flex;
        flex-direction: column;
        gap: 24px;
        text-align: center;
    }

    .spMenu_link {
        font-size: 20px;
        font-weight: 500;
        line-height: 1.6;
        color: #222;
        padding: 8px 0;
        display: block;
        text-decoration: none;
    }
    /* メニューが開いてる時は背景スクロールは止める */
    body.is-fixed{
        overflow: hidden;
    }

    /* FV　SP*/
    .fv {
        min-height: 88vh;
        padding: 80px 0;
        background-image: url("../images/main-sp.jpg");
        background-position: center;
        background-size: cover;
        display: flex;
        align-items: center;
    }
    .fv_inner{
        width: 87.2%;
        margin: 0 auto;
        padding-top: 0;
    }

    .fv_title {
        font-size: 38px;
        line-height: 1.15;
        letter-spacing: 0.04em;
    }
    .fv_sub{
        margin-top: 16px;
        font-size: 14px;
        line-height: 1.8;
        letter-spacing: 0.08em;
    }
    /* WORKS SP */
    .works{
        padding: 80px 0;
    }
    .works_inner{
        width: 87.2%;
        margin: 0 auto;
    }
    .works_head{
        display: flex;
        align-items: center;
        gap: 12px;
        margin-bottom: 40px;
    }
    .works_title{
        font-size: 18px;
        font-weight: 600;
        line-height: 1;
        letter-spacing: 0.08em;
    }
    .works_sub{
        font-size: 10px;
        line-height: 1;
        color: #666;
        white-space: nowrap;
    }
    .works_head::after{
        content: "";
        display: block;
        flex: 1;
        height: 1px;
        background-color: #999;
    }

    /* 作品一覧 */
    .works_list{
        display: flex;
        flex-direction: column;
        gap: 80px;
    }

    .work,
    .work.reverse{
        display: block;
    }
    .work_img{
        width: 88%;
        margin: 0 auto 32px;
        display: block;
    }
    .work_img img{
        width: 100%;
        height: auto;
        display: block;
    }

    .work_body{
        width: 74%;
        line-height: 1.9;
        max-width: none;
        margin: 0 auto;
    }
    /* タイトル */
    .work_title{
        font-size: 16px;
        font-weight: 700;
        line-height: 1.5;
        margin-bottom: 8px;
        word-break: keep-all;
    }
    .work_textSub{
        font-size: 11px;
        color: #666;
        line-height: 1.6;
        margin-bottom: 18px;
    }
    /* 導入文 */
    .wok_text{
        margin-bottom: 20px;
    }
    .work_text p{
        font-size: 11px;
        line-height: 2;
        color: #333;
        word-break: normal;
        overflow-wrap: break-word;
    }

    /* ターゲット・目的・メッセージ */
    .work_section{
        margin-top: 18px;
    }
    .work_sectionTitle{
        font-size: 11px;
        font-weight: 700;
        line-height: 1.8;
        margin-bottom: 6px;
    }
    .work_sectionText p{
        font-size: 11px;
        line-height: 1.9;
        color: #333;
        word-break: normal;
        overflow-wrap: break-word;
    }

    /* 使用技術など */
    .work_meta{
        margin-top: 22px;
        margin-bottom: 22px;
    }
    .work_meta li{
        font-size: 10px;
        line-height: 1.9;
        color: #333;
    }
    /* リンク */
    .work_link{
        display: flex;
        align-items: center;
        justify-content: center;
        width: fit-content;
        gap: 14px;
        font-size: 11px;
        letter-spacing: 0.05em;
        color: #222;
        margin: 28px auto 0;
        text-decoration: none;
    }
    .work_link::after{
        content: "";
        display: block;
        width: 40px;
        height: 1px;
        background: #222;
        transform: none;
        transition: none;
    }

    /* バナー */
    .works_category{
    font-size: 16px;
    margin: 48px 0 24px;
  }
  .banner_grid{
    grid-template-columns: 1fr;
    gap: 40px;
  }
  .banner_cardTitle{
    font-size: 16px;
    line-height: 1.5;
  }
  .banner_cardSub{
    font-size: 11px;
    margin-bottom: 10px;
  }
 .banner_cardText{
    font-size: 11px;
    line-height: 1.9;
 }
    /* ABOUT SP */
    .about{
        padding: 80px 0;
    }
    .about_inner{
        width: 87.2%;
        margin: 0 auto;
    }
    .about_head{
        display: flex;
        align-items: center;
        gap: 12px;
        margin-bottom: 40px;
    }
    .about_title{
        font-size: 18px;
        font-weight: 600;
        line-height: 1;
        letter-spacing: 0.08em;
    }
    .about_sub{
        font-size: 10px;
        line-height: 1;
        color: #666;
        white-space: nowrap;
    }
    .about_head::after{
        content: "";
        display: block;
        flex: 1;
        height: 1px;
        background-color: #999;
    }
    /* 画像と本文を縦並び */
    .about_content{
        display: block;
    }
    /* 画像 */
    .about_img{
        width: 58%;
        margin: 0 auto 28px;
    }
    .about_img img{
        width: 100%;
        height: auto;
        display: block;
        border-radius: 6px;
        box-shadow: 0 12px 28px rgba(0, 0, 0, 0.6);
    }
    /* 本文 */
    .about_body{
        width: 74%;
        max-width: none;
        margin: 0 auto;
    }
    .about_name{
        font-size: 18px;
        font-weight: 700;
        line-height: 1.5;
        margin-bottom: 6px;
    }

    .about_nameSub{
        font-size: 10px;
        color: #666;
        letter-spacing: 0.08em;
        margin-bottom: 22px;
    }

    /* テキスト */
    .about_text{
        margin-bottom: 20px;
    }
    .about_text p{
        font-size: 11px;
        line-height: 2;
        color: #333;
    }
    .about_list{
        display: flex;
        margin-top: 22px;
        flex-direction: column;
        gap: 4px;
    }
    .about_list li{
        font-size: 10px;
        line-height: 1.9;
        color: #333;
    }
    /* contact　SP */

    .contact{
        padding: 80px 0;
    }
    .contact_inner{
        width: 87.2%;
        margin: 0 auto;
    }
    .contact_head{
        display: flex;
        align-items: center;
        gap: 12px;
        margin-bottom: 40px;
    }
    .contact_title{
        font-size: 18px;
        font-weight: 600;
        line-height: 1;
        letter-spacing: 0.08em;
    }
    .contact_sub{
        font-size: 10px;
        line-height: 1;
        color: #666;
        white-space: nowrap;
    }
    .contact_head::after{
        content: "";
        display: block;
        flex: 1;
        height: 1px;
        background-color: #999;
    }
   /* 本文 */
   .contact_body{
    text-align: center;
   }
   .contact_text{
    font-size: 12px;
    line-height: 2;
    color: #333;
    margin-bottom: 32px;
   }

   /* ボタン */
   .contact_btn{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    max-width: 260px;
    padding: 14px 20px;
    margin:  36px 0 auto;
    border-radius: 999px;
    border: 1px solid rgba(0, 0, 0, 0.18);
    font-size: 12px;
    letter-spacing: 0.05em;
    color: #222;
    text-decoration: none;
    background: linear-gradient(
        135deg,
        rgba(255,255,255,0.95) 0%,
       rgba(255,255,255,0.88) 35%,
       rgba(187,215,245,0.45) 55%,
       rgba(213,189,240,0.45) 70%,
       rgba(251,252,224,0.45) 85%,
       rgba(134,238,183,0.45) 100%
    );
    transition: transform 0.3s ease,box-shadow 0.3s ease;
   }
   .contact_btn:hover,
   .contact_btn:focus-visible,
   .contact_btn:active{
    transform: translateY(-3px);
    box-shadow: 0 10px 24px rgba(0, 0, 0, 0.10);
   }
   /* FOOTER SP */
   .footer{
    padding: 40px 0 32px;
    border-top: 1px solid #e5e5e5;
   }
   .footer_inner{
    width: 87.2%;
    margin: 0 auto;
   }
   .footer_copy{
    font-size: 10px;
    line-height: 1.8;
    color: #666;
    text-align: center;
    letter-spacing: 0.05em;
   }
} 
